import Layout from '@/layout'

const ums = {
  path: '/ums',
  component: Layout,
  name: 'Ums',
  meta: { title: '用户中心', icon: 'user' },
  redirect: '/ums/customer',
  children: [
    {
      path: 'customer',
      component: () => import('@/views/ums/customer/index'),
      name: 'UmsCustomer',
      meta: { title: '注册用户', icon: 'el-icon-s-custom' }
    },
    {
      path: 'singer',
      component: () => import('@/views/ums/singer/index'),
      name: 'UmsSinger',
      meta: { title: '艺人', icon: 'peoples' }
    },
    {
      path: 'worker',
      component: () => import('@/views/ums/worker/index'),
      name: 'UmsWorker',
      meta: { title: '吧台', icon: 'el-icon-user-solid' }
    },
    {
      path: 'boss',
      component: () => import('@/views/ums/boss/index'),
      name: 'UmsBoss',
      meta: { title: '老板', icon: 'el-icon-user' }
    }
  ]
}

export default ums
